# debug\_traceTransaction

Returns all traces of a given transaction.

This method will use `80` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## **Parameters**

`transactionHash` - String - <mark style="color:red;">Required</mark> - The transaction hash to be traced.

`object` - Object - The tracer object with the following fields:

* `tracer` - String - The type of tracer, options are: `callTracer` ,`prestateTracer` or `flatCallTracer`.
  * `callTracer` - String - The callTracer keeps track of all call frames, including depth - calls, that are made during a transaction.
  * `prestateTracer` - String - The prestateTracer replays the transaction and tracks every part of state that occurred during the transaction.
  * `flatCallTracer` - String - The flatCallTracer is a specific type of tracer that provides a flattened view of all calls made during transaction execution. It offers a simplified output compared to the standard callTracer, making it easier to analyze complex transactions.

## **Returns**

`result` - An object with the result of the trace, containing:

* `from` - The address the transaction is sent from.
* `gas` - The integer of the gas provided for the transaction execution.
* `gasUsed` - The integer of the gas used.
* `to` - The address the transaction is directed to.
* `input` - The data given at the time of input.
* `value` - The integer of the value sent with this transaction.
* `type` - The type of call.

```bash
// Result
{
	"jsonrpc": "2.0",
	"result": {
		"from": "0x8d3be36f99042070542fb11b2ad6dcbc328ef464",
		"gas": "0x5208",
		"gasUsed": "0x5208",
		"to": "0x3c47b55d8eab23c769e78794027aed4364887218",
		"input": "0x",
		"value": "0x241992762a80",
		"type": "CALL"
	},
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.opbnb.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"debug_traceTransaction","params":["0x47789830e57de31b69cf24982f4a6fe00ba757ddc6a579e0f4165b978729be16", {"tracer": "callTracer"}],"id":1}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.opbnb.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"debug_traceTransaction","params":["0xa0cba2a8626a52220a022927289a6da316ad450b0c1c748e140789b5c88c287b", {"tracer": "callTracer"}],"id":1}'

```

{% endtab %}
{% endtabs %}
